import { Router } from "@angular/router";
import { PermissionsService } from "@seniorsistemas/platform-components";
import { Subject } from "rxjs";
export declare class CollectiveHistoryFiltersService {
    private router;
    private permissionsService;
    employeesIsPresent: Subject<boolean>;
    companiesIsPresent: Subject<boolean>;
    private isUsingTable;
    private cancelForm;
    private collectiveFilterPanelCollapsed;
    constructor(router: Router, permissionsService: PermissionsService);
    /**
     * Veifica se o usuário tem permissão de entrar na tela de coletivas, ou de inclusão ou de exclusão, de acordo
     * com o fragment da rota.
     *
     * @param entityName nome da entidade para buscar as permissões
     * @param fragment fragmento da rota, é esperado um CollectiveProcessType
     */
    checkPermissions(entityName: string, fragment: string): import("rxjs").Observable<any>;
    getEmployeesIsPresent(): import("rxjs").Observable<boolean>;
    getCompaniesIsPresent(): import("rxjs").Observable<boolean>;
    setEmployeeIsPresent(value: any): void;
    setCompaniesIsPresent(value: any): void;
    setCancelForm(value: any): void;
    getCancelForm(): import("rxjs").Observable<boolean>;
    getIsUsingTable(): boolean;
    setIsUsingTable(value: boolean): boolean;
    getPanelStatus(): boolean;
    setPanelStatus(value: boolean): boolean;
    resetPanelAndTableStatus(): void;
}
